%define pkg_name        Object-Declare
%define pkg_version     0.22
%define rpm_pkg_version 0.22
%define rpm_pkg_release 1.n0i.1

Summary:       Declarative object constructor
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AU/AUDREYT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Override)
Requires:      perl(Sub::Override)


%description
This module exports one function, "declare", for building named objects with a
declarative syntax, similar to how Jifty::DBI::Schema defines its columns.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 0.22-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.22
